Bug 185313 - Samba doesn't include "idmap backend = ad" or "winbind nss info = sfu"
Samba doesn't include "idmap backend = ad" or "winbind nss info = sfu"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 12:10 EST by Shannon Johnson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: samba-3.0.25b-0.4E.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 18:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shannon Johnson 2006-03-13 12:10:32 EST
Description of problem:
When integrating Samba into a Windows domain, it helps to keep consistent
UID/GID's for users. That's where the idmap backend comes in... unfortunately,
the RPM for Samba doesn't include the options for Active Directory-held
UID/GID's or Home Directories... thereby making integration very difficult.
Also, this is required for integration with Windows 2003 R2, which all new
servers now come with.


Version-Release number of selected component (if applicable): 3.0.10-1.4E.6


How reproducible: Always


Steps to Reproduce:
1. Install Windows 2003 R2 as a Domain Controller
2. Attempt to set up Samba with "idmap backend = ad" and/or "winbind nss info = sfu"
3.
  
Actual results:
Fails with error "could not load remote backend 'ad'" in winbindd.log and/or
"ignoring unknown parameter 'winbind nss info'".

Expected results:
It should load the backend, then retrieve the UID & GID and/or Home Directory /
Profile from the AD server.

Additional info:
This functionality was added in the official Samba release of 3.0.20 back in
August of 2005.

Note You need to log in before you can comment on or make changes to this bug.